// expander-context_test.go
package text

import (
	"fmt"
	"os"
	"testing"
)

func TestSprintf(t *testing.T) {
	list := []string{
		"ciao #{c(red);i}Mario#. #{u;b}Come# #{GREEN;b}Stai#{.}?",
		"ciao #{c(red)i-Mario}. #{ub-Come} #{GREEN;b-Stai#}?",
	}
	//s := Sprintf("ciao #{fg(139);i}Mario#. #{u;b}Come# #{GREEN;b}%s#{.}?", "Stai")
	fmt.Println("--- Sprintf() ---")
	for i, s := range list {
		x := Sprintf(s)
		fmt.Printf("--- Test nr %d: %q\n", i+1, s)
		fmt.Println(x)
	}
	fmt.Println("\n--- Sprintf() ---")
	for i, s := range list {
		fmt.Printf("--- Test nr %d: %q\n", i+1, s)
		Fprintf(os.Stdout, s)
	}
}
